<?php
declare(strict_types=1);

namespace IntiTest\Provider\Mock;

use Inti\Provider\AbstractProvider;
use Inti\Provider\Type\TypeInterface;

/**
 * Class MockProvider
 *
 * @package IntiTest\Provider\Mock
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-provider
 */
class MockProvider extends AbstractProvider
{
    protected string $type = 'mock';

    public function getProvidedType(): TypeInterface
    {
        return MockType::instance();
    }
}
